Skip to main content
GET
Retrieve a bot

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

bot_id
string
required

Public bot identifier.

Response

Bot returned.

bot_id
string
required

Public bot identifier.

bot_type
enum<string>
required

Public bot type. agent represents SkillFlow, not the legacy Agent app type.

Available options:
workflow,
agent
name
string
required

Bot name

created_at
string<date-time>
required

Bot creation time.

published_at
string<date-time> | null
required

Time when the bot definition was published; null when unpublished.

input_schema
object | null
required

JSON Schema for the published input definition; null when unpublished.

output_schema
object | null
required

JSON Schema describing the run result. null when a Bot has no authoritative output schema.

description
string

Bot description